FreeBSD : phpMyAdmin -- XSS vulnerabilities in SQL debug output and server monitor page. (25b78f04-59c8-11e4-b711-6805ca0b3d42)

Low Nessus Plugin ID 78634


The remote FreeBSD host is missing a security-related update.


The phpMyAdmin development team reports :

With a crafted database or table name it is possible to trigger an XSS in SQL debug output when enabled and in server monitor page when viewing and analysing executed queries.

This vulnerability can be triggered only by someone who is logged in to phpMyAdmin, as the usual token protection prevents non-logged-in users from accessing the required pages. Moreover, debugging SQL is a developer option which is disabled by default and expected to be disabled in production environments.


Update the affected package.

See Also

Plugin Details

Severity: Low

ID: 78634

File Name: freebsd_pkg_25b78f0459c811e4b7116805ca0b3d42.nasl

Version: $Revision: 1.2 $

Type: local

Published: 2014/10/23

Modified: 2014/11/06

Dependencies: 12634

Risk Information

Risk Factor: Low


Base Score: 3.5

Vector: CVSS2#AV:N/AC:M/Au:S/C:N/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:phpMyAdmin, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2014/10/22

Vulnerability Publication Date: 2014/10/21

Reference Information

CVE: CVE-2014-8326